#!/bin/sh

unset ANT_HOME

dir=`pwd`
cd `dirname $0`

LIBS="../../lib"
    
ant=$LIBS/ant.jar
parser=$LIBS/xerces.jar
jaxp=$LIBS/jaxp.jar

LOCALCLASSPATH=$ant:$parser:$jaxp:

if [ -z $JAVA_HOME ]; then
    echo "JAVA_HOME is not set!"
    exit 1
fi

echo
echo Building with classpath $LOCALCLASSPATH
echo Using \"$JAVA_HOME\" as java base directory

$JAVA_HOME/bin/java -classpath $JAVA_HOME/lib/tools.jar:$LOCALCLASSPATH \
org.apache.tools.ant.Main -emacs -Djdk.home=$JAVA_HOME "$@"

cd $dir